<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LibSylph: Graphical Class Hierarchy</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.8 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="classes.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="classes.html"><span>Class&nbsp;Index</span></a></li>
      <li class="current"><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Graphical Class Hierarchy</h1><a href="hierarchy.html">Go to the textual class hierarchy</a>
<p>
<table border="0" cellspacing="10" cellpadding="0">
<tr><td><img src="inherit__graph__0.png" border="0" alt="" usemap="#_sylph_1_1_byte_buffer_map">
<map name="_sylph_1_1_byte_buffer_map">
<area shape="rect" id="node1" href="class_sylph_1_1_byte_buffer.html" title="Sylph::ByteBuffer" alt="" coords="7,5,148,35"></map></td></tr>
<tr><td><img src="inherit__graph__1.png" border="0" alt="" usemap="#_sylph_1_1_equals_3_01_t_01_4_map">
<map name="_sylph_1_1_equals_3_01_t_01_4_map">
<area shape="rect" id="node1" href="struct_sylph_1_1_equals.html" title="Sylph::Equals\&lt; T \&gt;" alt="" coords="7,5,153,35"></map></td></tr>
<tr><td><img src="inherit__graph__2.png" border="0" alt="" usemap="#_sylph_1_1_exception_map">
<map name="_sylph_1_1_exception_map">
<area shape="rect" id="node1" href="class_sylph_1_1_exception.html" title="This class provides a ready&#45;to&#45;use interface for exception handling." alt="" coords="7,192,140,221"><area shape="rect" id="node3" href="class_assertion.html" title="Assertion" alt="" coords="268,5,351,35"><area shape="rect" id="node5" href="class_sylph_1_1_array_exception.html" title="A generic Exception when an error occurs with an Array." alt="" coords="225,59,393,88"><area shape="rect" id="node7" href="class_sylph_1_1_file_exception.html" title="A genreric Exception which gets thrown whenever something goes wrong in the File..." alt="" coords="231,112,388,141"><area shape="rect" id="node9" href="class_sylph_1_1_illegal_argument_exception.html" title="Generic exception to flag an argument with an illegal state was passed to an function..." alt="" coords="189,165,429,195"><area shape="rect" id="node11" href="class_sylph_1_1_illegal_state_exception.html" title="Generic exception to flag that a method is not supported in the current state of..." alt="" coords="204,219,415,248"><area shape="rect" id="node13" href="class_sylph_1_1_i_o_exception.html" title="This is a generic exception for I/O errors." alt="" coords="235,272,384,301"><area shape="rect" id="node15" href="class_sylph_1_1_null_pointer_exception.html" title="This Exception gets thrown when a pointer to null is passed to a function or method..." alt="" coords="205,325,413,355"><area shape="rect" id="node17" href="class_sylph_1_1_serialization_exception.html" title="This Exception gets thrown if there is a problem with serializing or deserializing..." alt="" coords="201,379,417,408"></map></td></tr>
<tr><td><img src="inherit__graph__3.png" border="0" alt="" usemap="#_sylph_1_1_object_map">
<map name="_sylph_1_1_object_map">
<area shape="rect" id="node1" href="class_sylph_1_1_object.html" title="The root of all classes." alt="" coords="7,379,119,408"><area shape="rect" id="node3" href="class_sylph_1_1_forward_iterator.html" title="Sylph::ForwardIterator\&lt; Entry, iterator \&gt;" alt="" coords="191,5,489,35"><area shape="rect" id="node5" href="class_sylph_1_1_forward_iterator.html" title="Sylph::ForwardIterator\&lt; String, iterator \&gt;" alt="" coords="189,59,491,88"><area shape="rect" id="node9" href="class_sylph_1_1_forward_iterator.html" title="Sylph::ForwardIterator\&lt; T, I \&gt;" alt="" coords="229,112,451,141"><area shape="rect" id="node17" href="class_sylph_1_1_forward_iterator.html" title="Sylph::ForwardIterator\&lt; T, iterator \&gt;" alt="" coords="205,165,475,195"><area shape="rect" id="node25" href="class_sylph_1_1_any.html" title="Wrapper class for any kind of class." alt="" coords="295,219,385,248"><area shape="rect" id="node27" href="class_sylph_1_1_application.html" title="Class representing an application." alt="" coords="271,272,409,301"><area shape="rect" id="node31" href="class_sylph_1_1_array.html" title="Array provides a safe array." alt="" coords="271,325,409,355"><area shape="rect" id="node33" href="class_sylph_1_1_file.html" title="Sylph::File" alt="" coords="296,379,384,408"><area shape="rect" id="node35" href="class_sylph_1_1_forward_iterator.html" title="Facade used to simplify usage of forward iterators." alt="" coords="229,432,451,461"><area shape="rect" id="node37" href="class_sylph_1_1_hash_map.html" title="Sylph::HashMap\&lt; key_, value_, hash_, equals_ \&gt;" alt="" coords="168,485,512,515"><area shape="rect" id="node39" href="class_sylph_1_1_pointer_manager.html" title="Sylph::PointerManager" alt="" coords="253,539,427,568"><area shape="rect" id="node41" href="class_sylph_1_1_string.html" title="The String class represents character strings." alt="" coords="288,592,392,621"><area shape="rect" id="node43" href="class_sylph_1_1_string_buffer.html" title="Sylph::StringBuffer" alt="" coords="267,645,413,675"><area shape="rect" id="node45" href="class_sylph_1_1_sylph_iterator.html" title="SylphIterator provides a easier&#45;to&#45;use wrapper around STL iterators." alt="" coords="236,699,444,728"><area shape="rect" id="node47" href="class_sylph_1_1_vector.html" title="Sylph::Vector\&lt; T \&gt;" alt="" coords="265,752,415,781"><area shape="rect" id="node7" href="class_sylph_1_1_bidirectional_iterator.html" title="Sylph::BidirectionalIterator\&lt; String, iterator \&gt;" alt="" coords="561,32,892,61"><area shape="rect" id="node11" href="class_sylph_1_1_bidirectional_iterator.html" title="Sylph::BidirectionalIterator\&lt; T, I \&gt;" alt="" coords="601,85,852,115"><area shape="rect" id="node15" href="class_sylph_1_1_bidirectional_iterator.html" title="Sylph::BidirectionalIterator\&lt; T, I \&gt;" alt="" coords="601,139,852,168"><area shape="rect" id="node13" href="class_sylph_1_1_random_access_iterator.html" title="Sylph::RandomAccessIterator\&lt; T, I \&gt;" alt="" coords="965,85,1237,115"><area shape="rect" id="node19" href="class_sylph_1_1_bidirectional_iterator.html" title="Sylph::BidirectionalIterator\&lt; T, iterator \&gt;" alt="" coords="577,192,876,221"><area shape="rect" id="node21" href="class_sylph_1_1_random_access_iterator.html" title="Sylph::RandomAccessIterator\&lt; T, iterator \&gt;" alt="" coords="941,192,1261,221"><area shape="rect" id="node23" href="class_sylph_1_1_array_1_1iterator.html" title="Sylph::Array\&lt; T \&gt;::Array::iterator" alt="" coords="1311,192,1556,221"><area shape="rect" id="node29" href="class_sylph_1_1_application_self.html" title="An Application representing the currently running application." alt="" coords="645,272,808,301"></map></td></tr>
</table>
</div>
<hr size="1" class="unhidden"><address style="text-align: right;"><small>
Documentation for LibSylph by Doxygen
</body>
</html>
